Subject: (SWI-)Prolog for Linux (and X11 interface)
From: [email-masked] (Jan Wielemaker)
Date: 15 Jun 1993 18:27:40 +0300
Newsgroups: comp.os.linux.announce

Hi,

PROLOG

There appear to be various ports (or attempts of-) of SWI-Prolog for
linux around.  Various of them are either incomplete or buggy.  Shortly
after installing Linux on my new machine I completed and debugged the
Linux port of SWI-Prolog.  This version is available from
swi.psy.uva.nl.  The most recent version is in

	pub/SWI-Prolog/pl-1.6.17b.tar.z

This version compiles fine on gcc-2.3.3 using libc-4.3 and version
99pl7 or later of the kernel.  For there not to be any confusion:
it does *not* run on version 99pl6 or earlier.  It is likely to
compile with other versions of gcc and libc though.

This version includes most of the goodies of the Sun version, including
dynamically allocated stacks and saved-states.  Unfortunately dynamic
loading of C-code is broken.  I'll debug this later.

GRAPHICS

SWI-Prolog itself does not offer X11 interaction.  For people using X11
there is a high-level OO package called XPCE.  XPCE/SWI-Prolog is
available as a compiled and linked binary from the same ftp site:

	pub/xpce/linux/xpce.i386.tar.z

This version is now around for a couple of weeks and ftp'ed by over
100 sites.  I got only few comments on how people (dis)like it.  The
suggestions I did receive will be realised shortly.  Any comments are
welcome!  There is a mailing list for discussing xpce related issues:

	[email-masked]	for applying
	[email-masked]		for posting articles